#include "BlightedSerumAddon.h"
#include "Net/UnrealNetwork.h"

void UBlightedSerumAddon::OnRep_DashInteraction()
{

}

void UBlightedSerumAddon::OnRep_BlightPowerPickedUp()
{

}

void UBlightedSerumAddon::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UBlightedSerumAddon, _dashInteraction);
	DOREPLIFETIME(UBlightedSerumAddon, _blightPowerPickedUp);
}

UBlightedSerumAddon::UBlightedSerumAddon()
{
	this->_blightedSerumCollectable = NULL;
	this->_blightPowerPickedUp = false;
	this->_theBlightExtraTokens = 1;
	this->_numberOfDashesPerEvent = 1;
}
